Create a live query

Base URL
https://{kibana_url}
  • POST /api/osquery/live_queries
  • POST /s/{space_id}/api/osquery/live_queries
Auth

Create and run a live query.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

agent_all boolean

When true, the query runs on all agents.

agent_ids string[]

A list of agent IDs to run the query on.

agent_platforms string[]

A list of agent platforms to run the query on.

agent_policy_ids string[]

A list of agent policy IDs to run the query on.

alert_ids string[]

A list of alert IDs associated with the live query.

case_ids string[]

A list of case IDs associated with the live query.

ecs_mapping map string to object

Map osquery results columns or static values to Elastic Common Schema (ECS) fields

event_ids string[]

A list of event IDs associated with the live query.

metadata object nullable

Custom metadata object associated with the live query.

pack_id string

The ID of the pack.

query string

The SQL query you want to run.

saved_query_id string

The ID of a saved query.

Response

Indicates a successful call.

application/json
data object required
@timestamp string · format: date-time

The timestamp when the action was created.

action_id string required

The ID of the action.

agent_all boolean

Whether the query targets all agents.

agent_ids string[]

The agent IDs targeted by the action.

agent_platforms string[]

The agent platforms targeted.

agent_policy_ids string[]

The agent policy IDs targeted.

agents string[]

The resolved list of agent IDs.

expiration string · format: date-time

The expiration date of the action.

input_type string

The input type.

metadata object

Custom metadata associated with the action.

pack_id string

The pack ID if the query was run from a pack.

type string

The action type.

user_id string

The user who created the action.

Base URL
https://{kibana_url}